org.apache.maven.scm.provider.accurev.cli

## Class AuthTokenConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.cli.AuthTokenConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class AuthTokenConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

### Constructor Summary

Constructors
Constructor and Description
`AuthTokenConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`String` `getAuthToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthTokenConsumer

    public AuthTokenConsumer()

### Method Detail

#### getAuthToken

    public String getAuthToken()

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`